Index: code/trunk/src/orxonox/pickup/DroppedItem.cc
===================================================================
--- code/trunk/src/orxonox/pickup/DroppedItem.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/DroppedItem.cc	(revision 6417)
@@ -83,5 +83,5 @@
         if (this->item_)
         {
-            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << "'" << std::endl;
+            COUT(3) << "Delete DroppedItem with '" << this->item_->getPickupIdentifier() << '\'' << std::endl;
             this->item_->destroy();
         }
@@ -112,5 +112,5 @@
         drop->createTimer();
 
-        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << "," << position.y << "," << position.z << ")." << std::endl;
+        COUT(3) << "Created DroppedItem for '" << item->getPickupIdentifier() << "' at (" << position.x << ',' << position.y << ',' << position.z << ")." << std::endl;
 
         return drop;
Index: code/trunk/src/orxonox/pickup/ModifierPickup.cc
===================================================================
--- code/trunk/src/orxonox/pickup/ModifierPickup.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/ModifierPickup.cc	(revision 6417)
@@ -91,10 +91,10 @@
             for (it = this->additiveModifiers_.begin(); it != this->additiveModifiers_.end(); it++)
             {
-                pawn->getPickups().addAdditiveModifier((*it).first, (*it).second);
+                pawn->getPickups().addAdditiveModifier(it->first, it->second);
             }
 
             for (it = this->multiplicativeModifiers_.begin(); it != this->multiplicativeModifiers_.end(); it++)
             {
-                pawn->getPickups().addMultiplicativeModifier((*it).first, (*it).second);
+                pawn->getPickups().addMultiplicativeModifier(it->first, it->second);
             }
 
@@ -128,10 +128,10 @@
             for (it = this->additiveModifiers_.begin(); it != this->additiveModifiers_.end(); it++)
             {
-                pawn->getPickups().removeAdditiveModifier((*it).first, (*it).second);
+                pawn->getPickups().removeAdditiveModifier(it->first, it->second);
             }
 
             for (it = this->multiplicativeModifiers_.begin(); it != this->multiplicativeModifiers_.end(); it++)
             {
-                pawn->getPickups().removeMultiplicativeModifier((*it).first, (*it).second);
+                pawn->getPickups().removeMultiplicativeModifier(it->first, it->second);
             }
 
@@ -162,5 +162,5 @@
         std::map<ModifierType::Value, float>::const_iterator it = this->additiveModifiers_.find(type);
         if (it != this->additiveModifiers_.end())
-            return (*it).second;
+            return it->second;
         else
             return 0.0f;
@@ -175,5 +175,5 @@
         std::map<ModifierType::Value, float>::const_iterator it = this->multiplicativeModifiers_.find(type);
         if (it != this->multiplicativeModifiers_.end())
-            return (*it).second;
+            return it->second;
         else
             return 1.0f;
Index: code/trunk/src/orxonox/pickup/ModifierPickup.h
===================================================================
--- code/trunk/src/orxonox/pickup/ModifierPickup.h	(revision 5929)
+++ code/trunk/src/orxonox/pickup/ModifierPickup.h	(revision 6417)
@@ -129,5 +129,5 @@
 
         void timerCallback(Pawn* pawn);     //!< Method called when the timer runs out.
-        
+
     private:
         float getAdditiveModifier(ModifierType::Value type) const;               //!< Get the additive modifier for a given ModifierType.
Index: code/trunk/src/orxonox/pickup/PickupCollection.cc
===================================================================
--- code/trunk/src/orxonox/pickup/PickupCollection.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/PickupCollection.cc	(revision 6417)
@@ -100,6 +100,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if((*it).second && (*it).second->getOwner())
-                (*it).second->dropped((*it).second->getOwner());
+            if(it->second && it->second->getOwner())
+                it->second->dropped(it->second->getOwner());
         }
         this->currentUsable_ = NULL;
@@ -124,5 +124,5 @@
             for (std::multimap<std::string, BaseItem*>::iterator it = bounds.first; it != bounds.second && it != this->items_.end(); it++)
             {
-                if ((*it).second == item)
+                if (it->second == item)
                 {
                     return true;
@@ -176,5 +176,5 @@
             for (std::multimap<std::string, BaseItem*>::iterator it = bounds.first; it != bounds.second && it != this->items_.end(); it++)
             {
-                if ((*it).second == item)
+                if (it->second == item)
                 {
                     this->items_.erase(it);
@@ -217,5 +217,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->additiveModifiers_.end(); it++)
         {
-            v += (*it).second;
+            v += it->second;
         }
 
@@ -232,5 +232,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->additiveModifiers_.end(); it++)
         {
-            if ((*it).second == value)
+            if (it->second == value)
             {
                 this->additiveModifiers_.erase(it);
@@ -260,5 +260,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->multiplicativeModifiers_.end(); it++)
         {
-            v *= (*it).second;
+            v *= it->second;
         }
 
@@ -275,5 +275,5 @@
         for (std::multimap<ModifierType::Value, float>::iterator it = range.first; it != range.second && it != this->multiplicativeModifiers_.end(); it++)
         {
-            if ((*it).second == value)
+            if (it->second == value)
             {
                 this->multiplicativeModifiers_.erase(it);
@@ -335,6 +335,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<EquipmentItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<EquipmentItem*>(it->second));
         }
 
@@ -352,6 +352,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<PassiveItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<PassiveItem*>(it->second));
         }
 
@@ -369,6 +369,6 @@
         for (std::multimap<std::string, BaseItem*>::iterator it = this->items_.begin(); it != this->items_.end(); it++)
         {
-            if ((*it).second->isA(ident))
-                ret.push_back(orxonox_cast<UsableItem*>((*it).second));
+            if (it->second->isA(ident))
+                ret.push_back(orxonox_cast<UsableItem*>(it->second));
         }
 
Index: code/trunk/src/orxonox/pickup/PickupInventory.cc
===================================================================
--- code/trunk/src/orxonox/pickup/PickupInventory.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/PickupInventory.cc	(revision 6417)
@@ -86,13 +86,9 @@
     {
         if(PickupInventory::getSingleton()->isVisible()) {
-            GUIManager::getInstance().executeCode("hideGUI(\"PickupInventory\")");
-            GUIManager::getInstance().executeCode("hideCursor()");
-            InputManager::getInstance().leaveState("guiMouseOnly");
-        }
-        else
-        {
-            GUIManager::getInstance().showGUI("PickupInventory");
-            GUIManager::getInstance().executeCode("showCursor()");
-            InputManager::getInstance().enterState("guiMouseOnly");
+            GUIManager::hideGUI("PickupInventory");
+        }
+        else
+        {
+            GUIManager::showGUI("PickupInventory");
         }
         PickupInventory::getSingleton()->setVisible(!PickupInventory::getSingleton()->isVisible());
@@ -200,5 +196,5 @@
             return "";
 
-        std::string name = "pickup_" + item->getGUIImage();
+        const std::string& name = "pickup_" + item->getGUIImage();
 
         if(!CEGUI::ImagesetManager::getSingletonPtr()->isImagesetPresent(name))
@@ -207,5 +203,5 @@
         }
 
-        return "set:" + name + " image:full_image";
+        return ("set:" + name + " image:full_image");
     }
 
@@ -336,7 +332,7 @@
         txt->setVisible(true);
         txt->setProperty("Text", item->getGUIText());
-        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour + "");
-
-        std::string image = PickupInventory::getImageForItem(item);
+        txt->setProperty("TextColours", "tl:" + textColour + " tr:" + textColour + " bl:" + textColour + " br:" + textColour);
+
+        const std::string& image = PickupInventory::getImageForItem(item);
         btn->setVisible(true);
         btn->setProperty("NormalImage", image);
Index: code/trunk/src/orxonox/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/orxonox/pickup/PickupSpawner.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/PickupSpawner.cc	(revision 6417)
@@ -96,6 +96,6 @@
         //  & load the GUI itself too, along with some empty windows
         //   = even less delays
-        GUIManager::getInstance().showGUI("PickupInventory");
-        GUIManager::getInstance().executeCode("hideGUI(\"PickupInventory\")");
+        GUIManager::showGUI("PickupInventory");
+        GUIManager::hideGUI("PickupInventory");
         PickupInventory::getSingleton();
     }
Index: code/trunk/src/orxonox/pickup/UsableItem.cc
===================================================================
--- code/trunk/src/orxonox/pickup/UsableItem.cc	(revision 5929)
+++ code/trunk/src/orxonox/pickup/UsableItem.cc	(revision 6417)
@@ -26,5 +26,5 @@
  *
  */
-        
+
 /**
     @file
@@ -41,5 +41,5 @@
         @param creator Pointer to the object which created this item.
     */
-    UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator) 
+    UsableItem::UsableItem(BaseObject* creator) : BaseItem(creator)
     {
         RegisterObject(UsableItem);
